using System;
using System.Collections.Generic;
using System.Text;

namespace MultiMonitor {
   [Serializable]
   class MultiMonProperties {
      private List<MonitorSettings> _monitors = new List<MonitorSettings>();
      /// <summary>
      /// List of monitor settings when primaryOnly is true
      /// </summary>
      public List<MonitorSettings> Monitors {
         get { return _monitors; }
         set { _monitors = value; }
      }

      private List<MultiMonitorProfile> _profiles = new List<MultiMonitorProfile>();
      public List<MultiMonitorProfile> Profiles {
         get { return _profiles; }
         set { _profiles = value; }
      }

      private bool _primaryOnly = false;
      public bool PrimaryOnly {
         get { return _primaryOnly; }
         set { _primaryOnly = value; }
      }
   }
}
