using System;
using System.Collections.Generic;
using System.Text;

namespace MultiMonitor {
   [Serializable]
   class MultiMonitorProfile {
      private String _name;
      public String Name {
         get { return _name; }
         set { _name = value; }
      }

      private List<MonitorSettings> _monitors;
      public List<MonitorSettings> Monitors {
         get { return _monitors; }
         set { _monitors = value; }
      }

      public MultiMonitorProfile(String Name, List<MonitorSettings> Monitors) {
         _name = Name;
         _monitors = Monitors;
      }
   }
}
