using System;

namespace TrayRunner {
   /// <summary>
   /// EventHandler for NewPlugin event.
   /// </summary>
   public delegate void NewPluginDirectoryEventHandler(Object sender, NewPluginDirectoryEventArgs e);

   public class NewPluginDirectoryEventArgs {
      private String _directory;
      public String Directory {
         get { return _directory; }
      }

      public NewPluginDirectoryEventArgs(String directory) {
         this._directory = directory;
      }
   }
}