// TODO Unduplicate this class

using System;
using System.IO;
using System.Reflection;

namespace TrayRunnerFramework {
   /// <summary>
   /// Description of plugins for serialization.
   /// </summary>
   [Serializable]
   [SaveProperties]
   public class PluginInformation {
      public PluginInformation() {
      }

      private AssemblyName _assemblyName;
      public AssemblyName AssemblyName {
         get { return _assemblyName; }
         set { _assemblyName = value; }
      }

      private String _name;
      public String Name {
         get { return _name; }
         set { _name = value; }
      }

      private String _typeName;
      public String TypeName {
         get { return _typeName; }
         set { _typeName = value; }
      }
      
      private String _description;
      public String Description {
         get { return _description; }
         set { _description = value; }
      }

      private FileInfo _assemblyFile;
      public FileInfo AssemblyFile {
         get { return _assemblyFile; }
         set { _assemblyFile = value; }
      }

      private bool _isActive;
      public bool IsActive {
         get { return _isActive; }
         set { _isActive = value; }
      }

      private byte[] _pluginIcon = null;
      public byte[] PluginIcon {
         get { return _pluginIcon; }
         set { _pluginIcon = value; }
      }
         
   }
}
